Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3735 closed task (fixed)

Remove CONFIGURE_HAS_OWN_MULTIPROCESSING_TABLE

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3490

Description

Remove the CONFIGURE_HAS_OWN_MULTIPROCESSING_TABLE configuration option. The RTEMS configuration should be done via explicit configuration options to allow more freedom for implementation changes. The use of this configuration option had a note in the documentation:

"This is a configuration parameter which is very unlikely to be used by an application. If you find yourself wanting to use it in an application, please reconsider and discuss this on the RTEMS Users mailing list."

No discussion took place in a couple of years about this topic.

Change History (7)

comment:1 Changed on 12/13/19 at 09:10:35 by Sebastian Huber <sebastian.huber@…>

In [changeset:"d24b30156d00cfa997abb2453e86e0e8643f4df9/rtems" d24b301/rtems]:

config: CONFIGURE_HAS_OWN_MULTIPROCESSING_TABLE

Obsolete the CONFIGURE_HAS_OWN_MULTIPROCESSING_TABLE configuration
option.

Update #3735.

comment:2 Changed on 12/13/19 at 09:10:41 by Sebastian Huber <sebastian.huber@…>

In [changeset:"24f8915a079446918abd4f7b2a8e1b8385930f85/rtems" 24f8915/rtems]:

config: Add _MPCI_Configuration

Replace the user MPCI configuration table with a system provided
_MPCI_Configuration.

Update #3735.

comment:3 Changed on 12/13/19 at 09:10:44 by Sebastian Huber <sebastian.huber@…>

In [changeset:"1d9f509e68a431d902cc655c85dc0601be4617b0/rtems" 1d9f509e/rtems]:

config: Statically allocate MP thread proxies

Update #3735.

comment:4 Changed on 12/13/19 at 09:10:48 by Sebastian Huber <sebastian.huber@…>

In [changeset:"3fba9de2e6306946c7d79a571e787fb1d91faf38/rtems" 3fba9de2/rtems]:

config: Statically allocate MP object controls

Update #3735.

comment:5 Changed on 12/13/19 at 09:10:51 by Sebastian Huber <sebastian.huber@…>

In [changeset:"782113767f3e60389423c169f5c337ec3fb50feb/rtems" 78211376/rtems]:

score: Remove _Workspace_Allocate_or_fatal_error()

This function is unused.

Update #3735.

comment:6 Changed on 12/13/19 at 13:07:10 by Sebastian Huber <sebastian.huber@…>

In [changeset:"93d5323230e0613ecf868f7ab90154e746d0bce1/rtems-docs" 93d5323/rtems-docs]:

c-user: CONFIGURE_HAS_OWN_MULTIPROCESSING_TABLE

Obsolete the CONFIGURE_HAS_OWN_MULTIPROCESSING_TABLE configuration
option.

Update #3735.

comment:7 Changed on 12/17/19 at 07:56:09 by Sebastian Huber

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.